Subject: [mpls] RE: [MPLS-OPS]: basic doubt about LERs in MPLS

From: "Christopher Young" <[email-masked]>
Date: Wed, 17 Jan 2007 10:16:35 -0500

Shilpa,

For your first question an LER always does a lookup on the IP
destination address of a packet regardless of whether or not the packet
is meant to be encapsulated with MPLS or not. In other words, a router
still functions like a router even with MPLS turned on. The destination
of that packet will yield whether or not the packet will be sent out
over a regular IP interface or encapsulated in MPLS and sent over an
LSP.

(NOTE: In L2 VPN's where you don't do a L3 lookup this is different as
usually a configured association is made between a CE-to-PE interface
and an LSP)

For your second question, my statement above still applies. For example
if your IP routing table yields the LSP as the next-hop to the loop back
address of your IBGP peer then you send the BGP packets over the LSP.
For ISIS,OSPF, RSVP and LDP control packets those will still be sent out
on the base POS/ATM/GE IP interface without MPLS encapsulation, but that
is an exercise left up to the individual vendor. Note that if using
hierarchical MPLS tunnels (LDP over RSVP) the LDP packets would ride
over the MPLS LSP. Also, of note is that in all vendors you can control
whether or not IP traffic and IGPs actually use LSPs for forwarding and
next-hop computation with configuration knobs. 

Hope this helps.

Thanks,

Christopher Young
Resident Engineer
JNCIP-E ERX #9
(978) 973-0574
[email-masked]

________________________________

From: shilpa goel [mailto:[email-masked]] 
Sent: Wednesday, January 17, 2007 6:09 AM
To: [email-masked]; [email-masked]; [email-masked]
Subject: [MPLS-OPS]: basic doubt about LERs in MPLS

Hi,

 I have one basic doubt regarding LERs in IP/MPLS networks.

How does a LER decide whether it should do IP routing (i.e. IP
Forwarding Table lookup) or labelling (i.e. LFIB lookup) of the
unlabeled IP packets that it receives at an interface? 

Linked to this I have another doubt that how are control/protocol
packets (which are IP) routed in a router i.e. are they label switched
along the LSPs that exist for the FECs/destinations to which they are
addressed or by default IP routed? 

regards,
Shilpa

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: "shilpa goel" <[email-masked]>
Date: Thu, 18 Jan 2007 15:33:19 +0530

---------- Forwarded message ----------
From: shilpa goel <[email-masked]>
Date: Jan 18, 2007 3:32 PM
Subject: Re: [MPLS-OPS]: basic doubt about LERs in MPLS
To: Christopher Young <[email-masked]>

Christopher,

Thanks for the reply. Can you give me a little more insight on the points
given below?

You have mentioned that 'The destination of that packet will yield whether
or not the packet will be sent out over a regular IP interface or
encapsulated in MPLS and sent over an LSP'
As I understand routers maintain 2 routes - one in IP forwarding table for
some destination say 192.168.1.0 and one in MPLS LFIB with the same
destination address. I am considering the case of LDP protocol setting up
LSPs in response to route updates by IGPs. Now when a LER interface receives
an IP packet with destination 192.168.1.0, will it consult some common table
which will indicate which of the 2 tables mentioned above (IP or MPLS) will
be used for routing of the packet? If so, how is this common table
configured?

Also is it "possible" or "advisable" for all packets (control/protocol or
management) generated at the router to be IP routed by default? What is the
usually adopted implementation?

thanks,
Shilpa
On 1/17/07, Christopher Young <[email-masked]> wrote:
>
>  Shilpa,
>
>
>
> For your first question an LER always does a lookup on the IP destination
> address of a packet regardless of whether or not the packet is meant to be
> encapsulated with MPLS or not. In other words, a router still functions like
> a router even with MPLS turned on. The destination of that packet will yield
> whether or not the packet will be sent out over a regular IP interface or
> encapsulated in MPLS and sent over an LSP.
>
>
>
> usually a configured association is made between a CE-to-PE interface and an
> LSP)
>
>
>
>
>
> For your second question, my statement above still applies. For example if
> your IP routing table yields the LSP as the next-hop to the loop back
> address of your IBGP peer then you send the BGP packets over the LSP.  For
> ISIS,OSPF, RSVP and LDP control packets those will still be sent out on the
> base POS/ATM/GE IP interface without MPLS encapsulation, but that is an
> exercise left up to the individual vendor. Note that if using hierarchical
> MPLS tunnels (LDP over RSVP) the LDP packets would ride over the MPLS LSP.
> Also, of note is that in all vendors you can control whether or not IP
> traffic and IGPs actually use LSPs for forwarding and next-hop computation
> with configuration knobs.
>
>
>
> Hope this helps.
>
>
>
> Thanks,
>
>
>
>
>
> Christopher Young
> Resident Engineer
> JNCIP-E ERX #9
> (978) 973-0574
> [email-masked]
>   ------------------------------
>
> *From:* shilpa goel [mailto:[email-masked]]
> *Sent:* Wednesday, January 17, 2007 6:09 AM
> *To:* [email-masked]; [email-masked]; [email-masked]
> *Subject:* [MPLS-OPS]: basic doubt about LERs in MPLS
>
>
>
> Hi,
>
>
>
> How does a LER decide whether it should do IP routing (i.e. IP Forwarding
> Table lookup) or labelling (i.e. LFIB lookup) of the unlabeled IP packets
> that it receives at an interface?
>
> Linked to this I have another doubt that how are control/protocol packets
> (which are IP) routed in a router i.e. are they label switched along the
> LSPs that exist for the FECs/destinations to which they are addressed or by
> default IP routed?
>
>
>
> regards,
> Shilpa
>

---

From: shilpa goel <[email-masked]>
Date: Thu, 18 Jan 2007 15:33:19 +0530

---------- Forwarded message ----------
From: shilpa goel <[email-masked]>
Date: Jan 18, 2007 3:32 PM
Subject: Re: [MPLS-OPS]: basic doubt about LERs in MPLS
To: Christopher Young <[email-masked]>

Christopher,

thanks,
Shilpa